### Method

# Json Parser load_from_stream

since: 0.12

#### Declaration [src]

    gboolean
    json_parser_load_from_stream (
      JsonParser* parser,
      GInputStream* stream,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Loads the contents of an input stream and parses them.

If `cancellable` is not `NULL`, then the operation can be cancelled by triggering the cancellable object from another thread. If the operation was cancelled, `G_IO_ERROR_CANCELLED` will be set on the given `error`.

Available since: 0.12

#### Parameters

`stream`

  Type: `GInputStream`

  The input stream with the JSON data.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the data stream was successfully read and parsed, and `FALSE` otherwise.